/*
** Copyright (C) 2009 YOUR NAME HERE <your@email.here>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <cairo.h>
#include <glib.h>

/* Local functions declarations go here */
static void
transition_render( cairo_t         *cr,
				   cairo_surface_t *image_from,
				   cairo_surface_t *image_to,
				   gdouble          progress,
                   gint				type );


/* Plug-in API */
void
img_get_plugin_info( gchar  **group,
                     gchar ***trans )
{
    gint i = 0;
    *group = "Misc Shape Wipe";

    *trans = g_new( gchar *, 7 );

    (*trans)[i++] = "Transition 1";
    (*trans)[i++] = "trans_1";
    (*trans)[i++] = GINT_TO_POINTER( 5032 );

    (*trans)[i++] = "Transition 2";
    (*trans)[i++] = "trans_2";
    (*trans)[i++] = GINT_TO_POINTER( 5033 );

    (*trans)[i++] = NULL;
}

void
trans_1( cairo_t         *cr,
		 cairo_surface_t *image_from,
		 cairo_surface_t *image_to,
		 gdouble          progress )
{
    transition_render( cr, image_from, image_to, progress, 1 );
}

void
trans_2( cairo_t         *cr,
		 cairo_surface_t *image_from,
		 cairo_surface_t *image_to,
		 gdouble          progress )
{
    transition_render( cr, image_from, image_to, progress, 2 );
}

/* Local functions definitions */
static void
transition_render( cairo_t         *cr,
				   cairo_surface_t *image_from,
				   cairo_surface_t *image_to,
				   gdouble          progress,
				   gint             type )
{
	gint width, height;

	width  = cairo_image_surface_get_width( image_from );
	height = cairo_image_surface_get_height( image_from );

    /* Drawing code goes here */
}
